## r-cran-rlang 0.2.0

=== DESCRIPTION ===
Package: rlang
Version: 0.2.0
Title: Functions for Base Types and Core R and 'Tidyverse' Features
Description: A toolbox for working with base types, core R features
  like the condition system, and core 'Tidyverse' features like tidy
  evaluation.
Authors@R: c(
    person("Lionel", "Henry", ,"lionel@rstudio.com", c("aut", "cre")),
    person("Hadley", "Wickham", ,"hadley@rstudio.com", "aut"),
    person("RStudio", role = "cph")
    )
License: GPL-3
LazyData: true
ByteCompile: true
Depends: R (>= 3.1.0)
Suggests: crayon, knitr, methods, pillar, rmarkdown (>= 0.2.65),
        testthat, covr
RoxygenNote: 6.0.1
URL: http://rlang.tidyverse.org, https://github.com/r-lib/rlang
BugReports: https://github.com/r-lib/rlang/issues
NeedsCompilation: yes
Packaged: 2018-02-20 06:15:49 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2018-02-20 10:07:47 UTC

## r-cran-rlang 0.1.4

=== debian/changelog ===
r-cran-rlang (0.1.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 11 Nov 2017 16:06:56 +0100

r-cran-rlang (0.1.2-1) unstable; urgency=medium

  * Initial release (closes: #877263)

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2017 00:09:08 +0200

=== debian/control ===
Source: r-cran-rlang
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-rlang.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rlang.git
Homepage: https://cran.r-project.org/package=rlang

Package: r-cran-rlang
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Functions for Base Types and Core R and 'Tidyverse' Features
 A toolbox for working with base types, core R features
 like the condition system, and core 'Tidyverse' features like tidy
 evaluation.

## r-cran-rlang 0.2.0

=== debian/changelog ===
r-cran-rlang (0.2.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper (>= 11~) to simplify backports

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2018 09:19:45 +0100

r-cran-rlang (0.1.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Sat, 13 Jan 2018 18:47:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-rlang.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-rlang
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rlang.git
 Homepage: https://cran.r-project.org/package=rlang

## r-cran-rlang 0.2.2

=== debian/changelog ===
r-cran-rlang (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Mon, 20 Aug 2018 08:59:13 +0200

r-cran-rlang (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 08:45:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: r-cran-rlang
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/r-cran-rlang
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rlang.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
 Homepage: https://cran.r-project.org/package=rlang
 
 Package: r-cran-rlang

## r-cran-rlang 0.3.1

=== DESCRIPTION ===
Package: rlang
Version: 0.3.1
Title: Functions for Base Types and Core R and 'Tidyverse' Features
Description: A toolbox for working with base types, core R features
  like the condition system, and core 'Tidyverse' features like tidy
  evaluation.
Authors@R: c(
    person("Lionel", "Henry", ,"lionel@rstudio.com", c("aut", "cre")),
    person("Hadley", "Wickham", ,"hadley@rstudio.com", "aut"),
    person("RStudio", role = "cph")
    )
License: GPL-3
LazyData: true
ByteCompile: true
Biarch: true
Depends: R (>= 3.1.0)
Suggests: crayon, magrittr, methods, pillar, testthat (>= 2.0.0), covr
Encoding: UTF-8
RoxygenNote: 6.1.1
URL: http://rlang.r-lib.org, https://github.com/r-lib/rlang
BugReports: https://github.com/r-lib/rlang/issues
NeedsCompilation: yes
Packaged: 2019-01-04 21:28:51 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2019-01-08 13:00:03 UTC

=== debian/changelog ===
r-cran-rlang (0.3.1-2) unstable; urgency=medium

  * Team upload
  * Skip tests that fail only on debci infrastructure (Closes: #912004)
  * Add Breaks: r-cran-tibble (<< 2.0.1-1~)

 -- Graham Inggs <ginggs@debian.org>  Thu, 17 Jan 2019 16:16:43 +0000

r-cran-rlang (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 11 Jan 2019 07:43:59 +0100

r-cran-rlang (0.3.0.1-2) unstable; urgency=medium

  * Update autopkgtest (Closes: #912004)

 -- Graham Inggs <ginggs@debian.org>  Thu, 06 Dec 2018 10:29:43 +0000

r-cran-rlang (0.3.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 26 Oct 2018 10:48:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
 Homepage: https://cran.r-project.org/package=rlang
@@ -18,6 +18,7 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
+Breaks: r-cran-tibble (<< 2.0.1-1~)
 Description: Functions for Base Types and Core R and 'Tidyverse' Features
  A toolbox for working with base types, core R features
  like the condition system, and core 'Tidyverse' features like tidy

## r-cran-rlang 0.4.0

=== debian/changelog ===
r-cran-rlang (0.4.0-1) unstable; urgency=medium

  * New upstream version
  * Test-Depends: r-cran-rmarkdown

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 09:44:39 +0200

## r-cran-rlang 0.4.4

=== DESCRIPTION ===
Package: rlang
Version: 0.4.4
Title: Functions for Base Types and Core R and 'Tidyverse' Features
Description: A toolbox for working with base types, core R features
  like the condition system, and core 'Tidyverse' features like tidy
  evaluation.
Authors@R: c(
    person("Lionel", "Henry", ,"lionel@rstudio.com", c("aut", "cre")),
    person("Hadley", "Wickham", ,"hadley@rstudio.com", "aut"),
    person("RStudio", role = "cph")
    )
License: GPL-3
LazyData: true
ByteCompile: true
Biarch: true
Depends: R (>= 3.2.0)
Suggests: cli, covr, crayon, glue, magrittr, methods, pillar,
        rmarkdown, testthat (>= 2.3.0)
Encoding: UTF-8
RoxygenNote: 7.0.2
URL: http://rlang.r-lib.org, https://github.com/r-lib/rlang
BugReports: https://github.com/r-lib/rlang/issues
NeedsCompilation: yes
Packaged: 2020-01-28 14:09:27 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2020-01-28 20:40:10 UTC

=== tests/testthat/fixtures/rlanglibtest/DESCRIPTION ===
Package: rlanglibtest
Title: What the Package Does (one line, title case)
Version: 0.0.0.9000
Authors@R: 'Lionel Henry <lionel.hry@gmail.com> [aut, cre]'
Description: What the package does (one paragraph).
Depends:
    R (>= 3.1.0)
Imports:
    rlang
LinkingTo:
    rlang
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1

=== debian/changelog ===
r-cran-rlang (0.4.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jan 2020 11:39:51 +0100

r-cran-rlang (0.4.3-1) unstable; urgency=medium

  * Versioned Test-Depends: r-cran-testthat (>= 2.3.0)
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sun, 26 Jan 2020 09:12:54 +0100

r-cran-rlang (0.4.2-1) unstable; urgency=medium

  * New upstream version
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 27 Nov 2019 16:59:26 +0100

r-cran-rlang (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 29 Oct 2019 10:43:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
 Homepage: https://cran.r-project.org/package=rlang

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat (>= 2.3.0), r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-rlang 0.4.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: rlang
-Version: 0.4.4
+Version: 0.4.7
 Title: Functions for Base Types and Core R and 'Tidyverse' Features
 Description: A toolbox for working with base types, core R features
   like the condition system, and core 'Tidyverse' features like tidy
@@ -15,16 +15,16 @@
 Biarch: true
 Depends: R (>= 3.2.0)
 Suggests: cli, covr, crayon, glue, magrittr, methods, pillar,
-        rmarkdown, testthat (>= 2.3.0)
+        rmarkdown, testthat (>= 2.3.0), vctrs (>= 0.2.3), withr
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 URL: http://rlang.r-lib.org, https://github.com/r-lib/rlang
 BugReports: https://github.com/r-lib/rlang/issues
 NeedsCompilation: yes
-Packaged: 2020-01-28 14:09:27 UTC; lionel
+Packaged: 2020-07-09 12:06:27 UTC; lionel
 Author: Lionel Henry [aut, cre],
   Hadley Wickham [aut],
   RStudio [cph]
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-01-28 20:40:10 UTC
+Date/Publication: 2020-07-09 23:00:18 UTC

=== debian/changelog ===
r-cran-rlang (0.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jul 2020 10:11:09 +0200

r-cran-rlang (0.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 May 2020 08:30:43 +0200

r-cran-rlang (0.4.5-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks: r-cran-ggplot2 (<< 3.3.0+dfsg-1~) (Closes: #954813)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Apr 2020 09:51:00 +0200

r-cran-rlang (0.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 03 Mar 2020 07:51:27 +0100

=== debian/control ===
Source: r-cran-rlang
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
Homepage: https://cran.r-project.org/package=rlang
Rules-Requires-Root: no

Package: r-cran-rlang
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Breaks: r-cran-tibble (<< 2.0.1-1~),
        r-cran-ggplot2 (<< 3.3.0+dfsg-1~)
Description: Functions for Base Types and Core R and 'Tidyverse' Features
 A toolbox for working with base types, core R features
 like the condition system, and core 'Tidyverse' features like tidy
 evaluation.

## r-cran-rlang 0.4.10

=== DESCRIPTION ===
Package: rlang
Version: 0.4.10
Title: Functions for Base Types and Core R and 'Tidyverse' Features
Description: A toolbox for working with base types, core R features
  like the condition system, and core 'Tidyverse' features like tidy
  evaluation.
Authors@R: c(
    person("Lionel", "Henry", ,"lionel@rstudio.com", c("aut", "cre")),
    person("Hadley", "Wickham", ,"hadley@rstudio.com", "aut"),
    person(given = "mikefc",
           email = "mikefc@coolbutuseless.com", 
           role = "cph", 
           comment = "Hash implementation based on Mike's xxhashlite"),
    person(given = "Yann",
           family = "Collet",
           role = "cph", 
           comment = "Author of the embedded xxHash library"),
    person("RStudio", role = "cph")
    )
License: MIT + file LICENSE
LazyData: true
ByteCompile: true
Biarch: true
Depends: R (>= 3.3.0)
Imports: utils
Suggests: cli, covr, crayon, glue, magrittr, methods, pak, pillar,
        rmarkdown, testthat (>= 3.0.0), vctrs (>= 0.2.3), withr
Enhances: winch
Encoding: UTF-8
RoxygenNote: 7.1.1
URL: https://rlang.r-lib.org, https://github.com/r-lib/rlang
BugReports: https://github.com/r-lib/rlang/issues
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2020-12-18 09:35:30 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut],
  mikefc [cph] (Hash implementation based on Mike's xxhashlite),
  Yann Collet [cph] (Author of the embedded xxHash library),
  RStudio [cph]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2020-12-30 15:00:02 UTC

=== debian/changelog ===
r-cran-rlang (0.4.10-1ubuntu1) hirsute; urgency=medium

  * Skip hash tests on big-endian platforms

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 02 Mar 2021 11:37:52 +0000

r-cran-rlang (0.4.10-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 16:51:36 +0100

r-cran-rlang (0.4.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 13 Oct 2020 11:28:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-rlang
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -7,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
 Homepage: https://cran.r-project.org/package=rlang

## r-cran-rlang 0.4.12

=== debian/changelog ===
r-cran-rlang (0.4.12-2) unstable; urgency=medium

  * Fix d/copyright

 -- Nilesh Patra <nilesh@debian.org>  Wed, 20 Oct 2021 19:29:16 +0000

r-cran-rlang (0.4.12-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove patches, merged upstream
  * Add myself to uploaders

 -- Nilesh Patra <nilesh@debian.org>  Wed, 20 Oct 2021 18:30:33 +0000

r-cran-rlang (0.4.11-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * Add patch to fix autopkgtest with new testthat

 -- Nilesh Patra <nilesh@debian.org>  Sat, 16 Oct 2021 16:13:57 +0530

r-cran-rlang (0.4.11-1) unstable; urgency=medium

  * New upstream version
  * Remove constraints unnecessary since buster:
    + r-cran-rlang: Drop versioned constraint on r-cran-tibble in Breaks.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 09:53:43 +0200

=== debian/control ===
Source: r-cran-rlang
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
Homepage: https://cran.r-project.org/package=rlang
Rules-Requires-Root: no

Package: r-cran-rlang
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Breaks: r-cran-ggplot2 (<< 3.3.0+dfsg-1~)
Description: Functions for Base Types and Core R and 'Tidyverse' Features
 A toolbox for working with base types, core R features
 like the condition system, and core 'Tidyverse' features like tidy
 evaluation.

## r-cran-rlang 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: rlang
-Version: 0.4.10
+Version: 1.0.1
 Title: Functions for Base Types and Core R and 'Tidyverse' Features
 Description: A toolbox for working with base types, core R features
   like the condition system, and core 'Tidyverse' features like tidy
@@ -18,21 +18,23 @@
     person("RStudio", role = "cph")
     )
 License: MIT + file LICENSE
-LazyData: true
 ByteCompile: true
 Biarch: true
 Depends: R (>= 3.3.0)
 Imports: utils
-Suggests: cli, covr, crayon, glue, magrittr, methods, pak, pillar,
-        rmarkdown, testthat (>= 3.0.0), vctrs (>= 0.2.3), withr
+Suggests: cli (>= 3.1.0), covr, crayon, fs, glue, knitr, magrittr,
+        methods, pillar, rmarkdown, stats, testthat (>= 3.0.0), tibble,
+        usethis, vctrs (>= 0.2.3), withr
 Enhances: winch
+SystemRequirements: C++11
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 URL: https://rlang.r-lib.org, https://github.com/r-lib/rlang
 BugReports: https://github.com/r-lib/rlang/issues
 Config/testthat/edition: 3
+Config/Needs/website: dplyr, tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2020-12-18 09:35:30 UTC; lionel
+Packaged: 2022-02-02 16:37:20 UTC; lionel
 Author: Lionel Henry [aut, cre],
   Hadley Wickham [aut],
   mikefc [cph] (Hash implementation based on Mike's xxhashlite),
@@ -40,4 +42,4 @@
   RStudio [cph]
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-12-30 15:00:02 UTC
+Date/Publication: 2022-02-03 07:40:06 UTC

=== debian/changelog ===
r-cran-rlang (1.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 10 Feb 2022 14:37:52 +0100

r-cran-rlang (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Nilesh Patra <nilesh@debian.org>  Sat, 29 Jan 2022 22:47:17 +0530

## r-cran-rlang 1.0.4

=== debian/changelog ===
r-cran-rlang (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jul 2022 22:20:20 +0200

r-cran-rlang (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Jul 2022 08:51:44 +0530

## r-cran-rlang 1.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: rlang
-Version: 1.0.1
+Version: 1.0.6
 Title: Functions for Base Types and Core R and 'Tidyverse' Features
 Description: A toolbox for working with base types, core R features
   like the condition system, and core 'Tidyverse' features like tidy
@@ -15,12 +15,12 @@
            family = "Collet",
            role = "cph", 
            comment = "Author of the embedded xxHash library"),
-    person("RStudio", role = "cph")
+    person(given = "RStudio", role = c("cph", "fnd"))
     )
 License: MIT + file LICENSE
 ByteCompile: true
 Biarch: true
-Depends: R (>= 3.3.0)
+Depends: R (>= 3.4.0)
 Imports: utils
 Suggests: cli (>= 3.1.0), covr, crayon, fs, glue, knitr, magrittr,
         methods, pillar, rmarkdown, stats, testthat (>= 3.0.0), tibble,
@@ -28,18 +28,18 @@
 Enhances: winch
 SystemRequirements: C++11
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1.9000
 URL: https://rlang.r-lib.org, https://github.com/r-lib/rlang
 BugReports: https://github.com/r-lib/rlang/issues
 Config/testthat/edition: 3
 Config/Needs/website: dplyr, tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2022-02-02 16:37:20 UTC; lionel
+Packaged: 2022-09-23 16:12:48 UTC; lionel
 Author: Lionel Henry [aut, cre],
   Hadley Wickham [aut],
   mikefc [cph] (Hash implementation based on Mike's xxhashlite),
   Yann Collet [cph] (Author of the embedded xxHash library),
-  RStudio [cph]
+  RStudio [cph, fnd]
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-02-03 07:40:06 UTC
+Date/Publication: 2022-09-24 05:40:02 UTC

=== debian/changelog ===
r-cran-rlang (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Sep 2022 12:41:45 +0530

r-cran-rlang (1.0.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2022 15:05:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-rlang
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Nilesh Patra <nilesh@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
+Homepage: https://cran.r-project.org/package=rlang
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
-Homepage: https://cran.r-project.org/package=rlang
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rlang
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rlang_([-\d.]*)\.tar\.gz

## r-cran-rlang 1.1.1

=== DESCRIPTION ===
Package: rlang
Version: 1.1.1
Title: Functions for Base Types and Core R and 'Tidyverse' Features
Description: A toolbox for working with base types, core R features
  like the condition system, and core 'Tidyverse' features like tidy
  evaluation.
Authors@R: c(
    person("Lionel", "Henry", ,"lionel@posit.co", c("aut", "cre")),
    person("Hadley", "Wickham", ,"hadley@posit.co", "aut"),
    person(given = "mikefc",
           email = "mikefc@coolbutuseless.com", 
           role = "cph", 
           comment = "Hash implementation based on Mike's xxhashlite"),
    person(given = "Yann",
           family = "Collet",
           role = "cph", 
           comment = "Author of the embedded xxHash library"),
    person(given = "Posit, PBC", role = c("cph", "fnd"))
    )
License: MIT + file LICENSE
ByteCompile: true
Biarch: true
Depends: R (>= 3.5.0)
Imports: utils
Suggests: cli (>= 3.1.0), covr, crayon, fs, glue, knitr, magrittr,
        methods, pillar, rmarkdown, stats, testthat (>= 3.0.0), tibble,
        usethis, vctrs (>= 0.2.3), withr
Enhances: winch
Encoding: UTF-8
RoxygenNote: 7.2.3
URL: https://rlang.r-lib.org, https://github.com/r-lib/rlang
BugReports: https://github.com/r-lib/rlang/issues
Config/testthat/edition: 3
Config/Needs/website: dplyr, tidyverse/tidytemplate
NeedsCompilation: yes
Packaged: 2023-04-28 10:48:43 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut],
  mikefc [cph] (Hash implementation based on Mike's xxhashlite),
  Yann Collet [cph] (Author of the embedded xxHash library),
  Posit, PBC [cph, fnd]
Maintainer: Lionel Henry <lionel@posit.co>
Repository: CRAN
Date/Publication: 2023-04-28 22:30:03 UTC

=== debian/changelog ===
r-cran-rlang (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Update d/control
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jun 2023 15:40:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
 Homepage: https://cran.r-project.org/package=rlang
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -21,7 +21,6 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Breaks: r-cran-ggplot2 (<< 3.3.0+dfsg-1~)
 Description: Functions for Base Types and Core R and 'Tidyverse' Features
  A toolbox for working with base types, core R features
  like the condition system, and core 'Tidyverse' features like tidy

## r-cran-rlang 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: rlang
-Version: 1.1.1
+Version: 1.1.3
 Title: Functions for Base Types and Core R and 'Tidyverse' Features
 Description: A toolbox for working with base types, core R features
   like the condition system, and core 'Tidyverse' features like tidy
@@ -33,7 +33,7 @@
 Config/testthat/edition: 3
 Config/Needs/website: dplyr, tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2023-04-28 10:48:43 UTC; lionel
+Packaged: 2024-01-09 13:33:10 UTC; lionel
 Author: Lionel Henry [aut, cre],
   Hadley Wickham [aut],
   mikefc [cph] (Hash implementation based on Mike's xxhashlite),
@@ -41,4 +41,4 @@
   Posit, PBC [cph, fnd]
 Maintainer: Lionel Henry <lionel@posit.co>
 Repository: CRAN
-Date/Publication: 2023-04-28 22:30:03 UTC
+Date/Publication: 2024-01-10 12:00:02 UTC

=== tests/testthat/fixtures/Makefile ===

SRC_DIR = $(CURDIR)/../../../src
ZIP_FILE = $(CURDIR)/lib.zip

lib:
	rm -f $(ZIP_FILE) && \
	cd "$(SRC_DIR)" && \
	zip $(ZIP_FILE) config.h lib.c lib/**


print-%: ; @echo $* = $($*)

=== debian/changelog ===
r-cran-rlang (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * Do not set LC_ALL in autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 14:16:25 +0100

r-cran-rlang (1.1.2-1) unstable; urgency=medium

  * Nilesh left r-pkg-team.  Thanks to all your work, Nilesh!
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2023 09:05:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
 Homepage: https://cran.r-project.org/package=rlang

## r-cran-rlang 1.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: rlang
-Version: 1.1.3
+Version: 1.1.4
 Title: Functions for Base Types and Core R and 'Tidyverse' Features
 Description: A toolbox for working with base types, core R features
   like the condition system, and core 'Tidyverse' features like tidy
@@ -27,13 +27,13 @@
         usethis, vctrs (>= 0.2.3), withr
 Enhances: winch
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 URL: https://rlang.r-lib.org, https://github.com/r-lib/rlang
 BugReports: https://github.com/r-lib/rlang/issues
 Config/testthat/edition: 3
 Config/Needs/website: dplyr, tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2024-01-09 13:33:10 UTC; lionel
+Packaged: 2024-05-31 12:46:04 UTC; lionel
 Author: Lionel Henry [aut, cre],
   Hadley Wickham [aut],
   mikefc [cph] (Hash implementation based on Mike's xxhashlite),
@@ -41,4 +41,4 @@
   Posit, PBC [cph, fnd]
 Maintainer: Lionel Henry <lionel@posit.co>
 Repository: CRAN
-Date/Publication: 2024-01-10 12:00:02 UTC
+Date/Publication: 2024-06-04 09:45:03 UTC

=== debian/changelog ===
r-cran-rlang (1.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 11 Jun 2024 08:59:09 +0900

## r-cran-rlang 1.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: rlang
-Version: 1.1.4
+Version: 1.1.5
 Title: Functions for Base Types and Core R and 'Tidyverse' Features
 Description: A toolbox for working with base types, core R features
   like the condition system, and core 'Tidyverse' features like tidy
@@ -27,13 +27,13 @@
         usethis, vctrs (>= 0.2.3), withr
 Enhances: winch
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 URL: https://rlang.r-lib.org, https://github.com/r-lib/rlang
 BugReports: https://github.com/r-lib/rlang/issues
 Config/testthat/edition: 3
 Config/Needs/website: dplyr, tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2024-05-31 12:46:04 UTC; lionel
+Packaged: 2025-01-17 08:43:17 UTC; lionel
 Author: Lionel Henry [aut, cre],
   Hadley Wickham [aut],
   mikefc [cph] (Hash implementation based on Mike's xxhashlite),
@@ -41,4 +41,4 @@
   Posit, PBC [cph, fnd]
 Maintainer: Lionel Henry <lionel@posit.co>
 Repository: CRAN
-Date/Publication: 2024-06-04 09:45:03 UTC
+Date/Publication: 2025-01-17 14:30:02 UTC

=== tests/testthat/fixtures/rlanglibtest/DESCRIPTION ===
--- 
+++ 
@@ -9,7 +9,6 @@
     rlang
 LinkingTo:
     rlang
-License: GPL-3
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 6.0.1

=== debian/changelog ===
r-cran-rlang (1.1.5-3) unstable; urgency=medium

  * Team upload.
  * Depend on R 4.5+, as this package built with R 4.5
    fails its tests with R 4.4.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 25 Apr 2025 09:18:08 +0100

r-cran-rlang (1.1.5-2) unstable; urgency=medium

  * Team upload.
  * Remove test broken by R 4.5.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 22 Apr 2025 18:24:06 +0100

r-cran-rlang (1.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 23 Jan 2025 11:05:47 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
 Homepage: https://cran.r-project.org/package=rlang
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -15,7 +15,8 @@
 
 Package: r-cran-rlang
 Architecture: any
-Depends: ${R:Depends},
+Depends: r-base-core (>= 4.5.0~),
+         ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-cli (>= 3.1.0),
        r-cran-covr,
        r-cran-crayon,
        r-cran-fs,
        r-cran-glue,
        r-cran-knitr,
        r-cran-magrittr,
        r-cran-pillar,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-tibble,
        r-cran-usethis,
        r-cran-vctrs (>= 0.2.3),
        r-cran-withr
Restrictions: allow-stderr

## r-cran-rlang 1.1.6

=== debian/changelog ===
r-cran-rlang (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * Remove upstream patch part of the 1.1.6 release.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Dec 2025 15:20:49 +0900

=== debian/control ===
Source: r-cran-rlang
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
Homepage: https://cran.r-project.org/package=rlang
Rules-Requires-Root: no

Package: r-cran-rlang
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Functions for Base Types and Core R and 'Tidyverse' Features
 A toolbox for working with base types, core R features
 like the condition system, and core 'Tidyverse' features like tidy
 evaluation.

=== debian/tests/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
          r-cran-cli (>= 3.1.0),
         r-cran-covr,
         r-cran-crayon,
+        r-cran-desc,
         r-cran-fs,
         r-cran-glue,
         r-cran-knitr,
         r-cran-magrittr,
         r-cran-pillar,
+        r-cran-pkgload,
         r-cran-rmarkdown,
-        r-cran-testthat (>= 3.0.0),
+        r-cran-testthat (>= 3.2.0),
         r-cran-tibble,
         r-cran-usethis,
         r-cran-vctrs (>= 0.2.3),

## r-cran-rlang 1.1.7

=== DESCRIPTION ===
Package: rlang
Version: 1.1.7
Title: Functions for Base Types and Core R and 'Tidyverse' Features
Description: A toolbox for working with base types, core R features
  like the condition system, and core 'Tidyverse' features like tidy
  evaluation.
Authors@R: c(
    person("Lionel", "Henry", ,"lionel@posit.co", c("aut", "cre")),
    person("Hadley", "Wickham", ,"hadley@posit.co", "aut"),
    person(given = "mikefc",
           email = "mikefc@coolbutuseless.com",
           role = "cph",
           comment = "Hash implementation based on Mike's xxhashlite"),
    person(given = "Yann",
           family = "Collet",
           role = "cph",
           comment = "Author of the embedded xxHash library"),
    person(given = "Posit, PBC", role = c("cph", "fnd"))
    )
License: MIT + file LICENSE
ByteCompile: true
Biarch: true
Depends: R (>= 4.0.0)
Imports: utils
Suggests: cli (>= 3.1.0), covr, crayon, desc, fs, glue, knitr,
        magrittr, methods, pillar, pkgload, rmarkdown, stats, testthat
        (>= 3.2.0), tibble, usethis, vctrs (>= 0.2.3), withr
Enhances: winch
Encoding: UTF-8
RoxygenNote: 7.3.3
URL: https://rlang.r-lib.org, https://github.com/r-lib/rlang
BugReports: https://github.com/r-lib/rlang/issues
Config/build/compilation-database: true
Config/testthat/edition: 3
Config/Needs/website: dplyr, tidyverse/tidytemplate
NeedsCompilation: yes
Packaged: 2026-01-08 10:35:58 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut],
  mikefc [cph] (Hash implementation based on Mike's xxhashlite),
  Yann Collet [cph] (Author of the embedded xxHash library),
  Posit, PBC [cph, fnd]
Maintainer: Lionel Henry <lionel@posit.co>
Repository: CRAN
Date/Publication: 2026-01-09 12:10:02 UTC

=== debian/changelog ===
r-cran-rlang (1.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Mon, 09 Feb 2026 09:57:20 +0900

=== debian/control ===
Source: r-cran-rlang
Section: gnu-r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlang
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlang.git
Homepage: https://cran.r-project.org/package=rlang
Standards-Version: 4.7.3
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Testsuite: autopkgtest-pkg-r

Package: r-cran-rlang
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Functions for Base Types and Core R and 'Tidyverse' Features
 A toolbox for working with base types, core R features
 like the condition system, and core 'Tidyverse' features like tidy
 evaluation.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-cli (>= 3.1.0),
 r-cran-covr,
 r-cran-crayon,
 r-cran-desc,
 r-cran-fs,
 r-cran-glue,
 r-cran-knitr,
 r-cran-magrittr,
 r-cran-pillar,
 r-cran-pkgload,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.2.0),
 r-cran-tibble,
 r-cran-usethis,
 r-cran-vctrs (>= 0.2.3),
 r-cran-withr,
